#!/usr/bin/env sh

ARCHIVE_FILENAME=ubuntu-partner-website.tar.gz
BUILD_LABEL=`date --iso-8601=seconds`

# Upload archive
# ===

# Zip up site
tar --exclude-vcs -czf $ARCHIVE_FILENAME -C ubuntu-partner-website .

# Upload to charm-assets swift container
swift upload charm-assets $ARCHIVE_FILENAME --object-name=$BUILD_LABEL/$ARCHIVE_FILENAME
swift post -r .r:* charm-assets  # Make sure the container is publically accessible

# Get the URL for the container
CONTAINER_URI=`swift stat -v charm-assets | grep -o 'http.*'`
